% Clear the "workspace", funtions and globals.
clear globals; clear functions
global CAO TO TJO omega gama gamaJ tau tauJ C1 E
% Simulation label.
sinton = '012608';
% Setup of the initial time, the sampling period and the end time of simulation.
t0 = 0 ; % Start time.
tamost = 0.1 ; % Sampling period [min].
tout = tamost ; % Final time of integration.
tfim = 6.0 ; % Final time of simulation = (tfinal*tamost) [min].
tfinal = tfim/tamost ;
% Start vectors.
temp = [];
conc = [];
tref = [];
vett = [];
% Set parameters. See tab. 5 pag. 125 of Luyben (1990).
C1 = 7.08e10;
Rg = 1.99;
E = 30000/Rg;
CAO = 0.5;
FO = 40;
TO = 530;
TJO = 530;
V = 48;
VJ = 3.85;
FJ = 49.9;
U = 150;
AH = 250;
LAMBDA = - 30000;
RO = 50;
CP = 0.75;
ROJ = 62.3;
CJ = 1.0;
gamaJ = U*AH/(ROJ*CJ*VJ);
gama = U*AH/(RO*CP*V);
omega = LAMBDA/(RO*CP);
tau = FO/V;
tauJ = FJ/VJ;
% Setting initial conditions of the states.
CA = 0.4739; T = 537.16; TJ = 536.62; % Lower steady state.
% CA = 0.2451; T = 600.00; TJ = 594.63; % Intermediary steady state.
% CA = 0.0591; T = 651.06; TJ = 641.79; % Upper steady state.
x(1,1) = CA; x(2,1) = T; x(3,1) = TJ;
% Store the state variables values in to the initial conditions.
conc = [conc ; x(1,1)];
temp = [temp ; x(2,1)];
tref = [tref ; x(3,1)];
vett = [vett ; 0 ];
xold = x;
% Call the main program.
main
% Save the "workspace" with label "sinton".
eval(['save ', sinton])

